> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Account

> Delete an account.

Deletes the account and all associated users and data (cascade).
System account (nil UUID) cannot be deleted.
Only superadmins can access this endpoint.



## OpenAPI

````yaml delete /api/v1/accounts/{account_id}
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/accounts/{account_id}:
    delete:
      tags:
        - accounts
      summary: Delete Account
      description: |-
        Delete an account.

        Deletes the account and all associated users and data (cascade).
        System account (nil UUID) cannot be deleted.
        Only superadmins can access this endpoint.
      operationId: delete_account_api_v1_accounts__account_id__delete
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
      responses:
        '204':
          description: Successful Response
        '403':
          description: Superadmin access required
        '404':
          description: Account not found
        '422':
          description: Cannot delete system account

````